unit uViewPedidosFacturaProveedor;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, uViewDetallesGenerico, cxStyles,  
  cxCustomData, cxGraphics, cxFilter,
  cxData, cxDataStorage, cxEdit, DB, cxDBData, ActnList, ImgList, PngImageList,
  uDAInterfaces, uDADataTable, ComCtrls, ToolWin, cxGridLevel,
  cxGridCustomTableView, cxGridTableView, cxGridDBTableView, cxClasses,
  cxControls, cxGridCustomView, cxGrid, uBizPedidosFacturaProveedor;

type
  IViewPedidosFacturaProveedor = interface
  ['{5ADBA311-E801-4AEC-9208-1003D23EA596}']
    function GetPedidos: IBizPedidosFacturaProveedor;
    procedure SetPedidos(const Value: IBizPedidosFacturaProveedor);
    property Pedidos: IBizPedidosFacturaProveedor read GetPedidos write SetPedidos;
  end;

  TfrViewPedidosFacturaProveedor = class(TfrViewDetallesGenerico, IViewPedidosFacturaProveedor)
    cxGridViewID_FACTURA: TcxGridDBColumn;
    cxGridViewID_PEDIDO: TcxGridDBColumn;
    cxGridViewREFERENCIA: TcxGridDBColumn;
    cxGridViewFECHA_PEDIDO: TcxGridDBColumn;
    cxGridViewPROVEEDOR: TcxGridDBColumn;
    cxGridViewIMPORTE_TOTAL: TcxGridDBColumn;
  private
    FPedidos: IBizPedidosFacturaProveedor;
    function GetPedidos: IBizPedidosFacturaProveedor;
    procedure SetPedidos(const Value: IBizPedidosFacturaProveedor);

  public
    property Pedidos: IBizPedidosFacturaProveedor read GetPedidos write SetPedidos;
  end;

var
  frViewPedidosFacturaProveedor: TfrViewPedidosFacturaProveedor;

implementation

{$R *.dfm}

{ TfrViewPedidosFacturaProveedor }

function TfrViewPedidosFacturaProveedor.GetPedidos: IBizPedidosFacturaProveedor;
begin
  Result := FPedidos;
end;

procedure TfrViewPedidosFacturaProveedor.SetPedidos(const Value: IBizPedidosFacturaProveedor);
begin
  FPedidos := Value;

  if Assigned(FPedidos) then
    dsDetalles.DataTable := FPedidos.DataTable
  else
    dsDetalles.DataTable := NIL;
end;

end.
